diff a/src/jdk.compiler/share/classes/com/sun/tools/javac/comp/Lower.java b/src/jdk.compiler/share/classes/com/sun/tools/javac/comp/Lower.java
--- a/src/jdk.compiler/share/classes/com/sun/tools/javac/comp/Lower.java
+++ b/src/jdk.compiler/share/classes/com/sun/tools/javac/comp/Lower.java
@@ -267,17 +267,17 @@
     Map<ClassSymbol,List<VarSymbol>> freevarCache;
 
     /** A navigator class for collecting the free variables accessed
      *  from a local class.
      */
-    class FreeVarCollector extends CaptureScanner {
+    public class FreeVarCollector extends CaptureScanner {
 
-        FreeVarCollector(JCTree ownerTree) {
+        protected FreeVarCollector(JCTree ownerTree) {
             super(ownerTree);
         }
 
-        void addFreeVars(ClassSymbol c) {
+        protected void addFreeVars(ClassSymbol c) {
             List<VarSymbol> fvs = freevarCache.get(c);
             if (fvs != null) {
                 for (List<VarSymbol> l = fvs; l.nonEmpty(); l = l.tail) {
                     addFreeVar(l.head);
                 }
